<?php

// If uninstall.php is not called by WordPress, die
if (!defined('WP_UNINSTALL_PLUGIN')) {
   die;
}

// Remove all plugin options
delete_option('max_child_amount');
delete_option('max_adult_amount');
delete_option('first_selectable_date_offset');
delete_option('last_selectable_date_offset');
delete_option('disable_adult_selection');
delete_option('disable_child_selection');
delete_option('booking_redirect_uri');
delete_option('freshcase_api_url');
delete_option('freshcase_api_key');
delete_option('hide_availability_title');
delete_option('maximum_nights_available');
delete_option('arrival_default');
delete_option('arrival_earliest');
delete_option('arrival_latest');
delete_option('departure_default');
delete_option('departure_earliest');
delete_option('departure_latest');
delete_option('disable_arrival_user_selection');
delete_option('disable_departure_user_selection');
delete_option('is_currency_symbols');
delete_option('hide_arrival_departure_inputs');
delete_option('disable_gift_card_voucher');
 
// Drop database table
global $wpdb;

$translationsTable = $wpdb->prefix . 'freshcase_octopus_translations';
$credentialsTable = $wpdb->prefix . 'freshbooking_credentials';

$wpdb->query("DROP TABLE IF EXISTS {$translationsTable}");
$wpdb->query("DROP TABLE IF EXISTS {$credentialsTable}");